{% extends 'base.html' %}
{% block content %}
<style>
body > p { font-size: 32px }

.delete { cursor: pointer; color: #00A }
.isDeleted { text-decoration:line-through }
</style>
<script src="https://code.jquery.com/jquery-2.1.3.min.js"></script>
<script src="https://unpkg.com/sweetalert/dist/sweetalert.min.js"></script>
<link rel="stylesheet" href="http://t4t5.github.io/sweetalert/dist/sweetalert.css">

<link href="https://fonts.googleapis.com/css?family=Bentham|Playfair+Display|Raleway:400,500|Suranna|Trocchi" rel="stylesheet">
<div class="wrapper">
    <div class="product-img">
      <img src="{{ product.product_pic.url }}" height="420" width="327" style="image-rendering:-moz-crisp-edges;">
    </div>
    <div class="product-info">
      <div class="product-text">
        <h1>{{ product.name }}</h1>
        <h2 style="margin-left: 35px;">Available Items <span>{{ product.items }}</span></h2>
        <p>{{ product.description }}</p>
      </div>
      <div class="d-flex flex-row">
        <p><span class="btn-update">{{ product.price }}</span>$</p>

        <a class="btn btn-outline-primary btn-update" href="{%url 'my_app:update_product' product.id%}">Update</a>
        <a class="delete btn btn-outline-danger btn-delete" href="{%url 'my_app:delete_product' product.id%}">Delete</a>

      </div>
    </div>
  </div>


<script>
  $(function asa(){
    $(".delete").click(function(){
        swal({   
            title: "Are you sure?",   
            text: "You will not be able to recover this imaginary file!",   
            type: "warning",   
            showCancelButton: true,   
            confirmButtonColor: "#DD6B55",   
            confirmButtonText: "Yes, delete it!",   
            closeOnConfirm: false 
        }).then(isConfirmed => { 
          if(isConfirmed) {
            $(".file").addClass("isDeleted");
            swal("Deleted!", "Your imaginary file has been deleted.", "success"); 
  }
          });
    });
  });
</script>

{% endblock %}